<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

class Admin_Portalmanage_News_Delete
{
	// ページ情報
	var $pagename;
	var $title;
    var $from;    //ページ遷移元のアクション名

    //  ページ検索条件
    var $sort;
    var $listsize;
    var $srcdispnum;
    var $srcword;
    var $pageID;

	// DB 
    var $news;
    
    // 入力パラメータ
	var $newscd;
	var $data;
	var $cnt;
	
	// エラー処理
	var $errormsg;
	
	function execute()
	{
		// 入力チェック
	    $newscd = $this->newscd;
	    $where = array();
	    if (empty($newscd)) {
	    	$this->errormsg = "削除するニュースを選択してください。";
	        return "error";
	    }
	    
	    // DBから削除リスト取得 
	    if(is_array($newscd)) {
	        foreach  ($this->newscd as $key => $val) {
	            $where[$key][0] = "newscd = ".$val;
	        }
	        $data = $this->news->getNewsList(100, 0, $where, NULL, "date DESC");
	        $this->cnt = array_pop($data);
	        $this->data = $data;
	    }
	    
        $log =& LogFactory::getLog();
        $log->debug("Admin_Portalmanage_News_Deleteが実行されました", "Admin_Portalmanage_Recommend_Delete#execute");
        return 'success';
    }

    function getFrom()
    {
        if(empty($this -> from)){
            return "admin_portalmanage_news_list";
        } else {
            $decodeFrom = urldecode($this -> from);
            return $decodeFrom;
        }
    }
}
?>